Subject: Re: IPoIB: Fix multicast packet drops before join is complete

From: Roland Dreier <[email-masked]>
Date: Tue, 09 Jun 2009 13:52:45 -0700

> > Maybe we need a different approach but (since we are at the point of
 > > talking about categorical fundamentally wrong statements) its
 > > fundamentally wrong if the IPoIB layer works differently from a regular
 > > Ethernet NIC. They should work in the same way.
 > 
 > This I agree on.  When a multicast group is joined, the IPoIB layer
 > should block in some way until the subscription is fully available
 > for use.

Not sure I understand.  What do you mean by block?  It is quite possible
that a single multicast group is waiting to be joined, while other
multicast groups and unicast traffic can be sent with no problem.  So
stopping the whole device queue and blocking everything doesn't seem
appropriate.

 - R.